﻿@model PontosCulturais.ViewModels.MostrarEspaçoCulturalViewModel
@inject IApresentarInformaçõesServiço _apresentarServiço

<a class="btn btn-success mb-2" asp-controller="Painel" asp-action="Mostrar">Menu Principal</a>

<div class="alert alert-success mb-5">
    Espaço Cultural cadastrado com sucesso. Aqui você pode ver os dados inseridos.
</div>

    <div class="form-group row">
        <div class="col-sm-5">
            <label>Nome do Espaço Cultural</label>
            <input type="text" class="form-control" asp-for="EspaçoCultural.Nome" readonly/>
        </div>

        <div class="col-sm-3">
            <label>Telefone</label>
            <input type="text" class="form-control" asp-for="EspaçoCultural.Telefone" readonly/>
        </div>

        <div class="col-sm-4">
            <label>Nome Popular</label>
            <input type="text" class="form-control" asp-for="EspaçoCultural.NomePopular" readonly/>
        </div>
    </div>

    <div class="form-group row">
        <div class="col-sm-6">
            <label>CNPJ</label>
            <input type="text" class="form-control" asp-for="EspaçoCultural.Cnpj" readonly/>
        </div>

        <div class="col-sm-6">
            <label>Razão Social</label>
            <input type="text" class="form-control" asp-for="EspaçoCultural.RazãoSocial" readonly/>
        </div>
    </div>

    <div class="form-group row">
        <div class="col-sm-8">
            <label>Endereço</label>
            <input type="text" class="form-control" asp-for="EspaçoCultural.Endereço" readonly/>
        </div>

        <div class="col-sm-4">
            <label>Bairro</label>
            <input type="text" class="form-control" asp-for="EspaçoCultural.Bairro" readonly/>
        </div>
    </div>

    <div class="form-group row">
        <div class="col-sm-6">
            <label>Abertura do Espaço</label>
            <input type="date" class="form-control" asp-for="EspaçoCultural.DataFuncionamento" readonly/>
        </div>

        <div class="col-sm-6">
            <label>Quantidade de Funcionários</label>
            <input type="text" class="form-control" asp-for="EspaçoCultural.Funcionários" readonly/>
        </div>
    </div>

    <div class="form-group row">
        <div class="col">
            <label>Atividades do Espaço</label>
            <textarea class="form-control" rows="4" asp-for="EspaçoCultural.TipoAtendimento" readonly></textarea>
        </div>
    </div>

    <div class="form-group row">
        <div class="col">
            <label>Informações Adicionais de Atuação</label>
            <textarea class="form-control" rows="2" asp-for="EspaçoCultural.InformaçõesAdicionaisAtuação" readonly></textarea>
        </div>
    </div>

    <div class="form-group row">
        <div class="col-sm-4">
            <label>Situação das Atividades</label>
            <input type="text" class="form-control" asp-for="EspaçoCultural.SituaçãoAtividade.Nome" readonly />
        </div>

        <div class="col-sm-4">
            <label>Lotação Máxima</label>
            <input type="text" class="form-control" asp-for="EspaçoCultural.LotaçãoMáxima" readonly/>
        </div>

        <div class="col-sm-4">
            <label>Situação do Imóvel</label>
            <input type="text" class="form-control" asp-for="EspaçoCultural.SituaçãoEspaço.Nome" readonly />
        </div>
    </div>

    <div class="form-group row">
        <div class="col-sm-6">
            <label>Tipos de Atividade</label>
            <textarea class="form-control" asp-for="Atividades" readonly></textarea>
        </div>

        <div class="col-sm-6">
            <label>Segmentos Culturais</label>
            <textarea class="form-control" asp-for="Segmentos" readonly></textarea>
        </div>

    </div>

    <div class="form-group row">
        <div class="col-sm-6">
            <label>Modos de Funcionamento</label>
            <textarea class="form-control" asp-for="Funcionamento" readonly></textarea>
        </div>

        <div class="col-sm-6">
            <label>Origem dos Recursos</label>
            <textarea class="form-control" asp-for="Origem" readonly></textarea>
        </div>
    </div>

    <div class="form-group row">
        <div class="col">
            <label>Atividades Desenvolvidas</label>
            <textarea class="form-control" asp-for="Equipamentos" readonly></textarea>
        </div>
    </div>

    <div class="form-group row">
        <div class="col-sm-6">
            <label>Receita Anual</label>
            <input type="text" class="form-control" asp-for="EspaçoCultural.ReceitaAnual.Nome" readonly />
        </div>

        <div class="col-sm-6">
            <label>Despesa Anual</label>
            <input type="text" class="form-control" asp-for="EspaçoCultural.GastoAnual.Nome" readonly />
        </div>
    </div>

    <div class="form-group row">
        <div class="col">
            <label>O atendimento realizado no espaço cultural é pago: @_apresentarServiço.Apresentar(Model.EspaçoCultural.AtendimentoPago) </label>
        </div>
    </div>
    <div class="form-group row">
        <div class="col">
            <label>Tenho documentos que comprovam o vínculo empregatício dos funcionários: @_apresentarServiço.Apresentar(Model.EspaçoCultural.DocumentoVínculoEmpregatícioFuncionários)</label>
        </div>
    </div>

    <div class="form-group row">
        <div class="col">
            <label>Possuo alvará de funcionamento: @_apresentarServiço.Apresentar(Model.EspaçoCultural.PossuiAlvaráDeFuncionamento)</label>
        </div>
    </div>

    <div class="form-group row">
        <div class="col">
            <label>Tive minhas atividades interrompidas pela pandemia de Covid-19: @_apresentarServiço.Apresentar(Model.EspaçoCultural.InterrompidoPelaPandemia)</label>
        </div>
    </div>